/*
 @licstart The following is the entire license notice for the
    JavaScript code in this page.

 Copyright © 2014 Free Software Foundation, Inc.

 The JavaScript code in this page is free software: you can
 redistribute it and/or modify it under the terms of the GNU
 General Public License (GNU GPL) as published by the Free Software
 Foundation, either version 3 of the License, or (at your option)
 any later version. The code is distributed WITHOUT ANY WARRANTY;
 without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU GPL for more details.

 As additional permission under GNU GPL version 3 section 7, you
 may distribute non-source (e.g., minimized or compacted) forms of
 that code without the copy of the GNU GPL normally required by
 section 4, provided you include this license notice and a URL
 through which recipients can access the Corresponding Source.

 @licend The above is the entire license notice
    for the JavaScript code in this page.
 */

// @license magnet:?xt=urn:btih:1f739d935676111cfff4b4693e3816e664797050&dn=gpl-3.0.txt GPL-v3-or-Later
$(document).ready(function() {
  var SLIDE_DURATION = 400;

  // Allow a slide toggle effect to be performed on the given list
  // element type when clicking a child h4 for the given css class.
  // This is used for troubleshooting panels and dropdown menus.
  function slideToggle(cssClass, listElement) {
    $(cssClass + " > " + listElement).css("display", "none");
    $(cssClass + " > h4").click(function() {
      $(this).toggleClass("expanded")
        .next(listElement).slideToggle(SLIDE_DURATION);

      return false;
    });
  }

  // Transform the language list into a dropdown.  By doing this trick
  // here instead of simply writing the HTML this way to begin with,
  // users that do not have javascript enabled will still see the
  // links in a non-fancy way that doesn't look horrible.
  var languageList = $("#languages").removeClass("os").detach();
  var container = $("<li><h4>Language</h4></li>")
        .addClass("dropdown")
        .append(languageList);

  $("#menu").prepend(container);

  // Close dropdowns when user clicks anywhere outside.
  $("body").click(function() {
    $(".dropdown > h4.expanded")
      .removeClass("expanded")
      .next("ul").toggle();
  });

  // Enable dropdowns and troubleshooting panels.
  slideToggle(".troubleshooting", "dl");
  slideToggle(".dropdown", "ul");
});

// @license-end
